Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class AgentInfo

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.NamedInfo
          umontreal.iro.lecuyer.contactcenters.msk.model.AgentInfo

    public class AgentInfo

extends NamedInfo

Encapsulates the information concerning a specific agent in a call center model.

Constructor Summary
`AgentInfo(CallCenter cc, AgentParams par)` Constructs a new agent information object using the call center model `cc`, and the agent parameters `par`.

Method Summary
`Agent` | `getAgent()` Returns the agent associated with this object.
`ScheduleShift` | `getShift()` Returns an object representing the shift of the agent associated with this object.

Methods inherited from class umontreal.iro.lecuyer.xmlbind.NamedInfo
`getName, getProperties, getStringProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentInfo

    public AgentInfo(CallCenter cc,
                     AgentParams par)

  Constructs a new agent information object using the call center model `cc`, and the agent parameters `par`.

  Parameters:
    `cc` - the call center model.
    `par` - the agent parameters.

Method Detail

### getAgent

    public Agent getAgent()

  Returns the agent associated with this object.

  Returns:
    the associated agent.

### getShift

    public ScheduleShift getShift()

  Returns an object representing the shift of the agent associated with this object.

  Returns:
    the shift of this agent.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.